#
# spec file for package libaio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libaio
%define lname	libaio1
# bug437293
%ifarch ppc64
Obsoletes:      libaio-64bit
%endif
#
Version:        0.3.109
Release:        lp152.3.2
Summary:        Linux-Native Asynchronous I/O Access Library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://kernel.org/pub/linux/libs/aio/
Source:         libaio-%{version}.tar.bz2
Source2:        baselibs.conf
Patch2:         libaio-optflags.diff
Patch3:         00_arches.patch
Patch4:         00_arches_sh.patch
Patch5:         01_link_libgcc.patch
Patch6:         02_libdevdir.patch
Patch7:         03_man_errors.patch
Patch8:         libaio-aarch64-support.diff
Patch9:         libaio-generic-arch.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility. This library provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library to provide
kernel-accelerated async I/O capabilities, as do applications that
require the Linux-native async I/O API.

%package -n %lname
Summary:        Linux-Native Asynchronous I/O Access Library
# O/P added 2011-11-27
Group:          System/Libraries
Obsoletes:      libaio < %version-%release
Provides:       libaio = %version-%release

%description -n %lname
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility. This library provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library to provide
kernel-accelerated async I/O capabilities, as do applications that
require the Linux-native async I/O API.

%package devel
Summary:        Development Files for Linux-native Asynchronous I/O Access
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Requires:       glibc-devel
# bug437293
%ifarch ppc64
Obsoletes:      libaio-devel-64bit
%endif
#

%description devel
This package provides header files to include, and libraries to link
with, for the Linux-native asynchronous I/O facility ("async I/O", or
"aio").



%prep
%setup -q
%patch2 -p1
%patch -p1 -P 3 -P 4 -P 5 -P 6 -P 7
%patch8
%patch9

%build
make %{?_smp_mflags} CC="%__cc" OPTFLAGS="$RPM_OPT_FLAGS"

%install
make install prefix=%{buildroot}/usr libdir=%{buildroot}/%{_lib}
%if "%_lib" == "lib64"
mv "%buildroot/usr/lib" "%buildroot/usr/lib64"
%endif
rm -f "%buildroot/%_libdir"/*.a
# Strip dumb /usr/src/... off
t=$(readlink -f "%buildroot/%_lib/libaio.so.1")
ln -fs "${t##*/}" "%buildroot/%_lib/libaio.so.1"
t=$(readlink -f "%buildroot/%_libdir/libaio.so")
ln -fs "${t#%buildroot}" "%buildroot/%_libdir/libaio.so"

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(644,root,root,755)
%doc COPYING TODO
%attr(0755,root,root) /%{_lib}/libaio.*

%files devel
%defattr(644,root,root,755)
/usr/include/libaio.h
%_libdir/libaio.so

%changelog
* Sun Apr 17 2016 meissner@suse.com
- libaio-optflags.diff: readd -stdlib to allow -fstack-protector-strong
  builds (unclear why it was not allowed)
- 01_link_libgcc.patch, 02_libdevdir.patch: refreshed
* Tue Aug 26 2014 fcrozat@suse.com
- Add obsoletes/provides to baselibs.conf (bsc#881698)
* Fri Mar  1 2013 dmueller@suse.com
- Add libaio-aarch64-support.diff:
  * add support for aarch64
- Add libaio-generic-arch.diff:
  * support all archtes (also aarch64)
* Fri Feb 17 2012 coolo@suse.com
- fix baselibs.conf after shlib split
* Thu Feb 16 2012 mvyskocil@suse.cz
- fix typo versoin/version
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Mon Nov 28 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Employ shlib packaging
* Mon Nov 28 2011 ro@suse.de
- fix lib64 platform check
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Fri Sep 30 2011 adrian@suse.de
- drop debian arm hack to fix build on arm ;)
* Tue Mar 15 2011 jengelh@medozas.de
- Update to libaio 0.3.109
  * add ARM architecture support (grabbed from Debian arches tree)
  * replace check of __i386__ with __LP64__ in test harness
- refreshed patches
* Fri Feb 12 2010 jengelh@medozas.de
- fix more symbolic links to not include a /usr/src/ prefix
* Sat Jan 23 2010 jengelh@medozas.de
- update to libaio 0.3.107
- add more patches from Debian to fix compile errors on SPARC
- package baselibs.conf
* Sun Aug  2 2009 jansimon.moeller@opensuse.org
- add ARM support to libaio sources
* Tue Mar  3 2009 crrodriguez@suse.de
- remove static libraries
- fix -devel package dependencies
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Dec  4 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Sep 27 2007 hare@suse.de
- Fix dangling symlink (#307063)
* Thu Aug  2 2007 hare@suse.de
- Use RPM_OPT_FLAGS
- Fix installation directories
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu May  5 2005 schwab@suse.de
- Fix ia64 assembler.
* Wed Apr 27 2005 kukuk@suse.de
- Update to version 0.3.104
* Wed Dec  1 2004 kukuk@suse.de
- Update to version 0.3.102 [#44374]
* Tue Apr 20 2004 meissner@suse.de
- fixed ppc64 alignment problems. [#38801/LTC#7503]
* Fri Mar 12 2004 kukuk@suse.de
- Update to 0.3.98 [Bug #35266]
* Tue Mar  2 2004 ro@suse.de
- use -fPIC for shared objects on ppc
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct  1 2003 schwab@suse.de
- Fix for ia64.
* Wed Apr 23 2003 coolo@suse.de
- fix build for lib64
* Wed Apr 23 2003 coolo@suse.de
- use BuildRoot
* Fri Apr 11 2003 ro@suse.de
- fix header to be includable with glibc (#26033)
* Thu Apr  3 2003 kukuk@suse.de
- Add missing "const" to libaio.h [#26030]
* Tue Oct  1 2002 meissner@suse.de
- Fixed __syscall_return for ppc.
* Fri Sep 20 2002 fehr@suse.de
- Add syscall defines for x86_64
- add Andreas fix for testsuite main program to compile on x86_64
- add another fix to make testsuite build again on ia64
* Thu Sep 19 2002 schwab@suse.de
- Add missing bits for ia64.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Sep  4 2002 fehr@suse.de
- make package from  libaio-0.3.15-2.5
